Subject: CM MACROFLOWs versus DiffServ and MPLS

From: John Border <[email-masked]>
Date: Thu, 06 Apr 2000 16:34:28 -0400

The Congestion Manager draft suggests that FLOWs between the same two end
points which experience identical congestion behavour in the Internet SHOULD
belong to the same MACROFLOW.  This makes sense.  But, with DiffServ and MPLS
(and perhaps other mechanisms) now providing the means for FLOWs between two
hosts to take different paths, it appears difficult for a host to know which
FLOWs to group together into MACROFLOWs.  Having the host set its own initial
DSCP would help but would still not completely address the issue.  The latest
(-02) Congestion Manager draft basically defers this issue as future work. 
But, the concept of a MACROFLOW seems fundamental to the CM idea so I was
wondering if you (or someone else on the mailing list who has spent some time
thinking about this) could summarize the current thinking re this issue in a
couple of paragraphs...

John Border
Hughes Network Systems